<html>
<head>
<title>OgreOverlayManager.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreOverlayManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreOverlayManager_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __OverlayManager_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __OverlayManager_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreSingleton_8h.html">OgreSingleton.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreStringVector_8h.html">OgreStringVector.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreOverlay_8h.html">OgreOverlay.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreScriptLoader_8h.html">OgreScriptLoader.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreFrustum_8h.html">OgreFrustum.h</a>&quot;</span>
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 <span class="keyword">namespace </span>Ogre {
<a name="l00039"></a>00039 
<a name="l00051"></a><a class="code" href="classOgre_1_1OverlayManager.html">00051</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1OverlayManager.html" title="Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them...">OverlayManager</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>&lt;OverlayManager&gt;, <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptLoader.html" title="Abstract class defining the interface used by classes which wish to perform script loading to define ...">ScriptLoader</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">OverlayAlloc</a>
<a name="l00052"></a>00052     {
<a name="l00053"></a>00053     <span class="keyword">public</span>:
<a name="l00054"></a><a class="code" href="classOgre_1_1OverlayManager.html#aec8052ab3d18398120710bdc1cbcac98">00054</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, Overlay*&gt;::type</a> <a class="code" href="classOgre_1_1OverlayManager.html#aec8052ab3d18398120710bdc1cbcac98">OverlayMap</a>;
<a name="l00055"></a><a class="code" href="classOgre_1_1OverlayManager.html#ac4a15031aa92fc3c3bbca7b4f42f5d00">00055</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, OverlayElement*&gt;::type</a> <a class="code" href="classOgre_1_1OverlayManager.html#ac4a15031aa92fc3c3bbca7b4f42f5d00">ElementMap</a>;
<a name="l00056"></a><a class="code" href="classOgre_1_1OverlayManager.html#a63fb3637469aadf1627230f64bce2634">00056</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, OverlayElementFactory*&gt;::type</a> <a class="code" href="classOgre_1_1OverlayManager.html#a63fb3637469aadf1627230f64bce2634">FactoryMap</a>;
<a name="l00057"></a>00057     <span class="keyword">protected</span>:
<a name="l00058"></a><a class="code" href="classOgre_1_1OverlayManager.html#aa302492cbd16256240d4887440ec7bbb">00058</a>         <a class="code" href="classOgre_1_1OverlayManager.html#aec8052ab3d18398120710bdc1cbcac98">OverlayMap</a> <a class="code" href="classOgre_1_1OverlayManager.html#aa302492cbd16256240d4887440ec7bbb">mOverlayMap</a>;
<a name="l00059"></a><a class="code" href="classOgre_1_1OverlayManager.html#a04a9c072c6106a1a848b0a47c40a930f">00059</a>         <a class="code" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> <a class="code" href="classOgre_1_1OverlayManager.html#a04a9c072c6106a1a848b0a47c40a930f">mScriptPatterns</a>;
<a name="l00060"></a>00060 
<a name="l00061"></a>00061         <span class="keywordtype">void</span> parseNewElement( <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; chunk, <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; elemType, <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; elemName, 
<a name="l00062"></a>00062             <span class="keywordtype">bool</span> isContainer, <a class="code" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents.">Overlay</a>* pOverlay, <span class="keywordtype">bool</span> isTemplate, <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> templateName = <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>(<span class="stringliteral">&quot;&quot;</span>), <a class="code" href="classOgre_1_1OverlayContainer.html" title="A 2D element which contains other OverlayElement instances.">OverlayContainer</a>* container = 0);
<a name="l00063"></a>00063         <span class="keywordtype">void</span> parseAttrib( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; line, <a class="code" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents.">Overlay</a>* pOverlay);
<a name="l00064"></a>00064         <span class="keywordtype">void</span> parseElementAttrib( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; line, <a class="code" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents.">Overlay</a>* pOverlay, <a class="code" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>* pElement );
<a name="l00065"></a>00065         <span class="keywordtype">void</span> skipToNextCloseBrace(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; chunk);
<a name="l00066"></a>00066         <span class="keywordtype">void</span> skipToNextOpenBrace(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; chunk);
<a name="l00067"></a>00067         
<a name="l00068"></a><a class="code" href="classOgre_1_1OverlayManager.html#a04e5656f23bd72e781bbc4bf83ab38bc">00068</a>         <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1OverlayManager.html#a04e5656f23bd72e781bbc4bf83ab38bc">mLastViewportWidth</a>, mLastViewportHeight;
<a name="l00069"></a><a class="code" href="classOgre_1_1OverlayManager.html#ae10fee3d54d650aea1472151e7e3214f">00069</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OverlayManager.html#ae10fee3d54d650aea1472151e7e3214f">mViewportDimensionsChanged</a>;
<a name="l00070"></a><a class="code" href="classOgre_1_1OverlayManager.html#a1daaa9137ad38be6907ab14f20c95f37">00070</a>         <a class="code" href="group__Math.html#ga86b4672dfa02cea53b10a52bd6344305" title="Specifies orientation mode.">OrientationMode</a> <a class="code" href="classOgre_1_1OverlayManager.html#a1daaa9137ad38be6907ab14f20c95f37">mLastViewportOrientationMode</a>;
<a name="l00071"></a>00071 
<a name="l00072"></a>00072         <span class="keywordtype">bool</span> parseChildren( <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; chunk, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; line,
<a name="l00073"></a>00073             <a class="code" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents.">Overlay</a>* pOverlay, <span class="keywordtype">bool</span> isTemplate, <a class="code" href="classOgre_1_1OverlayContainer.html" title="A 2D element which contains other OverlayElement instances.">OverlayContainer</a>* parent = NULL);
<a name="l00074"></a>00074 
<a name="l00075"></a><a class="code" href="classOgre_1_1OverlayManager.html#adfd58dac2fb2627db482c02a618fed5b">00075</a>         <a class="code" href="classOgre_1_1OverlayManager.html#a63fb3637469aadf1627230f64bce2634">FactoryMap</a> <a class="code" href="classOgre_1_1OverlayManager.html#adfd58dac2fb2627db482c02a618fed5b">mFactories</a>;
<a name="l00076"></a>00076 
<a name="l00077"></a><a class="code" href="classOgre_1_1OverlayManager.html#af9d93d29680706dbf485bdd6f797e199">00077</a>         <a class="code" href="classOgre_1_1OverlayManager.html#ac4a15031aa92fc3c3bbca7b4f42f5d00">ElementMap</a> <a class="code" href="classOgre_1_1OverlayManager.html#af9d93d29680706dbf485bdd6f797e199">mInstances</a>;
<a name="l00078"></a><a class="code" href="classOgre_1_1OverlayManager.html#a8c29379ab04930b44b4d4cd7d4ed342f">00078</a>         <a class="code" href="classOgre_1_1OverlayManager.html#ac4a15031aa92fc3c3bbca7b4f42f5d00">ElementMap</a> <a class="code" href="classOgre_1_1OverlayManager.html#a8c29379ab04930b44b4d4cd7d4ed342f">mTemplates</a>;
<a name="l00079"></a>00079 
<a name="l00080"></a><a class="code" href="classOgre_1_1OverlayManager.html#aaf54987f95e1173a90dd264a39a2f614">00080</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1set.html">set&lt;String&gt;::type</a> <a class="code" href="classOgre_1_1OverlayManager.html#aaf54987f95e1173a90dd264a39a2f614">LoadedScripts</a>;
<a name="l00081"></a><a class="code" href="classOgre_1_1OverlayManager.html#a15d8218b76f778c37940a898f51acb37">00081</a>         <a class="code" href="classOgre_1_1OverlayManager.html#aaf54987f95e1173a90dd264a39a2f614">LoadedScripts</a> <a class="code" href="classOgre_1_1OverlayManager.html#a15d8218b76f778c37940a898f51acb37">mLoadedScripts</a>;
<a name="l00082"></a>00082 
<a name="l00083"></a>00083 
<a name="l00084"></a>00084 
<a name="l00085"></a>00085 
<a name="l00086"></a>00086         <a class="code" href="classOgre_1_1OverlayManager.html#ac4a15031aa92fc3c3bbca7b4f42f5d00">ElementMap</a>&amp; getElementMap(<span class="keywordtype">bool</span> isTemplate);
<a name="l00087"></a>00087 
<a name="l00088"></a>00088         <a class="code" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>* createOverlayElementImpl(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; instanceName, <a class="code" href="classOgre_1_1OverlayManager.html#ac4a15031aa92fc3c3bbca7b4f42f5d00">ElementMap</a>&amp; elementMap);
<a name="l00089"></a>00089 
<a name="l00090"></a>00090         <a class="code" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>* getOverlayElementImpl(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <a class="code" href="classOgre_1_1OverlayManager.html#ac4a15031aa92fc3c3bbca7b4f42f5d00">ElementMap</a>&amp; elementMap);
<a name="l00091"></a>00091         
<a name="l00092"></a>00092         <span class="keywordtype">bool</span> hasOverlayElementImpl(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <a class="code" href="classOgre_1_1OverlayManager.html#ac4a15031aa92fc3c3bbca7b4f42f5d00">ElementMap</a>&amp; elementMap);
<a name="l00093"></a>00093 
<a name="l00094"></a>00094         <span class="keywordtype">void</span> destroyOverlayElementImpl(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; instanceName, <a class="code" href="classOgre_1_1OverlayManager.html#ac4a15031aa92fc3c3bbca7b4f42f5d00">ElementMap</a>&amp; elementMap);
<a name="l00095"></a>00095 
<a name="l00096"></a>00096         <span class="keywordtype">void</span> destroyOverlayElementImpl(<a class="code" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>* pInstance, <a class="code" href="classOgre_1_1OverlayManager.html#ac4a15031aa92fc3c3bbca7b4f42f5d00">ElementMap</a>&amp; elementMap);
<a name="l00097"></a>00097 
<a name="l00098"></a>00098         <span class="keywordtype">void</span> destroyAllOverlayElementsImpl(<a class="code" href="classOgre_1_1OverlayManager.html#ac4a15031aa92fc3c3bbca7b4f42f5d00">ElementMap</a>&amp; elementMap);
<a name="l00099"></a>00099 
<a name="l00100"></a>00100     <span class="keyword">public</span>:
<a name="l00101"></a>00101         <a class="code" href="classOgre_1_1OverlayManager.html" title="Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them...">OverlayManager</a>();
<a name="l00102"></a>00102         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1OverlayManager.html" title="Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them...">OverlayManager</a>();
<a name="l00103"></a>00103 
<a name="l00105"></a>00105         <span class="keyword">const</span> <a class="code" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&amp; getScriptPatterns(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00107"></a>00107         <span class="keywordtype">void</span> parseScript(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName);
<a name="l00109"></a>00109         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getLoadingOrder(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00110"></a>00110 
<a name="l00112"></a>00112         <a class="code" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents.">Overlay</a>* create(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00116"></a>00116         <a class="code" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents.">Overlay</a>* getByName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00118"></a>00118         <span class="keywordtype">void</span> destroy(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00120"></a>00120         <span class="keywordtype">void</span> destroy(<a class="code" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents.">Overlay</a>* overlay);
<a name="l00122"></a>00122         <span class="keywordtype">void</span> destroyAll(<span class="keywordtype">void</span>);
<a name="l00123"></a><a class="code" href="classOgre_1_1OverlayManager.html#a1d38898d1d08e945f186e2043444588d">00123</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">MapIterator&lt;OverlayMap&gt;</a> <a class="code" href="classOgre_1_1OverlayManager.html#a1d38898d1d08e945f186e2043444588d">OverlayMapIterator</a>;
<a name="l00124"></a>00124         <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">OverlayMapIterator</a> getOverlayIterator(<span class="keywordtype">void</span>);
<a name="l00125"></a>00125 
<a name="l00127"></a>00127         <span class="keywordtype">void</span> _queueOverlaysForRendering(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam, <a class="code" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a>* pQueue, <a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> *vp);
<a name="l00128"></a>00128 
<a name="l00133"></a>00133         <span class="keywordtype">bool</span> hasViewportChanged(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00134"></a>00134 
<a name="l00136"></a>00136         <span class="keywordtype">int</span> getViewportHeight(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00137"></a>00137         
<a name="l00139"></a>00139         <span class="keywordtype">int</span> getViewportWidth(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00140"></a>00140         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getViewportAspectRatio(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00141"></a>00141 
<a name="l00143"></a>00143         <a class="code" href="group__Math.html#ga86b4672dfa02cea53b10a52bd6344305" title="Specifies orientation mode.">OrientationMode</a> getViewportOrientationMode(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00144"></a>00144 
<a name="l00152"></a>00152         <a class="code" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>* createOverlayElement(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; instanceName, <span class="keywordtype">bool</span> isTemplate = <span class="keyword">false</span>);
<a name="l00153"></a>00153 
<a name="l00155"></a>00155         <a class="code" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>* getOverlayElement(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">bool</span> isTemplate = <span class="keyword">false</span>);
<a name="l00156"></a>00156 
<a name="l00158"></a>00158         <span class="keywordtype">bool</span> hasOverlayElement(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">bool</span> isTemplate = <span class="keyword">false</span>);
<a name="l00159"></a>00159         
<a name="l00165"></a>00165         <span class="keywordtype">void</span> destroyOverlayElement(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; instanceName, <span class="keywordtype">bool</span> isTemplate = <span class="keyword">false</span>);
<a name="l00166"></a>00166 
<a name="l00172"></a>00172         <span class="keywordtype">void</span> destroyOverlayElement(<a class="code" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>* pInstance, <span class="keywordtype">bool</span> isTemplate = <span class="keyword">false</span>);
<a name="l00173"></a>00173 
<a name="l00179"></a>00179         <span class="keywordtype">void</span> destroyAllOverlayElements(<span class="keywordtype">bool</span> isTemplate = <span class="keyword">false</span>);
<a name="l00180"></a>00180 
<a name="l00186"></a>00186         <span class="keywordtype">void</span> addOverlayElementFactory(<a class="code" href="classOgre_1_1OverlayElementFactory.html" title="Defines the interface which all components wishing to supply OverlayElement subclasses must implement...">OverlayElementFactory</a>* elemFactory);
<a name="l00187"></a>00187         
<a name="l00189"></a><a class="code" href="classOgre_1_1OverlayManager.html#a2303e91226eff70f3fe53cfdce9165bd">00189</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1OverlayManager.html#a63fb3637469aadf1627230f64bce2634">FactoryMap</a>&amp; <a class="code" href="classOgre_1_1OverlayManager.html#a2303e91226eff70f3fe53cfdce9165bd" title="Get const access to the list of registered OverlayElement factories.">getOverlayElementFactoryMap</a>()<span class="keyword"> const </span>{
<a name="l00190"></a>00190             <span class="keywordflow">return</span> mFactories;
<a name="l00191"></a>00191         }
<a name="l00192"></a>00192 
<a name="l00193"></a>00193         <a class="code" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>* createOverlayElementFromTemplate(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; templateName, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; instanceName, <span class="keywordtype">bool</span> isTemplate = <span class="keyword">false</span>);
<a name="l00199"></a>00199         <a class="code" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>* cloneOverlayElementFromTemplate(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; templateName, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; instanceName);
<a name="l00200"></a>00200 
<a name="l00201"></a>00201         <a class="code" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>* createOverlayElementFromFactory(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; instanceName);
<a name="l00202"></a>00202 
<a name="l00203"></a><a class="code" href="classOgre_1_1OverlayManager.html#a8121ac9b766f9055bf52f5a30d52bd42">00203</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">MapIterator&lt;ElementMap&gt;</a> <a class="code" href="classOgre_1_1OverlayManager.html#a8121ac9b766f9055bf52f5a30d52bd42">TemplateIterator</a>;
<a name="l00205"></a><a class="code" href="classOgre_1_1OverlayManager.html#a9e6ec516d1d52c5291d5f943fc843ab2">00205</a>         <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">TemplateIterator</a> getTemplateIterator ()
<a name="l00206"></a>00206         {
<a name="l00207"></a>00207             <span class="keywordflow">return</span> <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">TemplateIterator</a> (mTemplates.begin (), mTemplates.end ()) ;
<a name="l00208"></a>00208         }
<a name="l00209"></a>00209         <span class="comment">/* Returns whether the Element with the given name is a Template */</span>
<a name="l00210"></a><a class="code" href="classOgre_1_1OverlayManager.html#af80970f61eb0d6d20ec462f95f4e659a">00210</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OverlayManager.html#af80970f61eb0d6d20ec462f95f4e659a">isTemplate</a> (<a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> strName)<span class="keyword"> const </span>{
<a name="l00211"></a>00211             <span class="keywordflow">return</span> (mTemplates.find (strName) != mTemplates.end()) ;
<a name="l00212"></a>00212         }
<a name="l00213"></a>00213 
<a name="l00214"></a>00214 
<a name="l00230"></a>00230         <span class="keyword">static</span> <a class="code" href="classOgre_1_1OverlayManager.html" title="Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them...">OverlayManager</a>&amp; getSingleton(<span class="keywordtype">void</span>);
<a name="l00246"></a>00246         <span class="keyword">static</span> <a class="code" href="classOgre_1_1OverlayManager.html" title="Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them...">OverlayManager</a>* getSingletonPtr(<span class="keywordtype">void</span>);
<a name="l00247"></a>00247     };
<a name="l00248"></a>00248 
<a name="l00249"></a>00249 
<a name="l00253"></a>00253 }
<a name="l00254"></a>00254 
<a name="l00255"></a>00255 
<a name="l00256"></a>00256 <span class="preprocessor">#endif </span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
